Cyberduck Mountain Duck CLI

#7355 closed defect (fixed)

S3 with initial path

Reported by: petr tichý Owned by: dkocher
Priority: normal Milestone: 4.4
Component: s3 Version: 4.3.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.8

Description

On S3, if user supplies the initial path, the request sent is

GET /<path>/?delimiter=%2F&max-keys=1000&prefix HTTP/1.1

that is GET Object: http://docs.aws.amazon.com/AmazonS3/latest/API/RESTObjectGET.html

but it should be

GET /?delimiter=%2F&max-keys=1000&prefix=<path> HTTP/1.1

GET Bucket: http://docs.aws.amazon.com/AmazonS3/latest/API/RESTBucketGET.html

to list the bucket starting with the prefix.

Also, the <path> should have the delimiter added at end.

Change History (5)

comment:1 Changed on Jul 19, 2013 at 3:42:01 PM by dkocher

  • Milestone set to 4.4
  • Status changed from new to assigned

comment:2 Changed on Jul 21, 2013 at 7:29:23 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

I cannot replicate this with the latest snapshot build. I have bookmarked the path /test.cyberduck.ch/test which leads to the request

GET /?delimiter=%2F&max-keys=1000&prefix=test%2F HTTP/1.1
Date: Sun, 21 Jul 2013 19:27:58 GMT
Host: test.cyberduck.ch.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4 (Mac OS X/10.8.4) (x86_64)
Last edited on Jul 30, 2013 at 7:57:15 AM by dkocher (previous) (diff)

comment:3 Changed on Jul 30, 2013 at 7:49:38 AM by petr tichý

Yes, but only when doing anonymous. When authentication is enabled, the requests are wrong. Tested on build 12380

comment:4 Changed on Jul 30, 2013 at 7:50:55 AM by petr tichý

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:5 Changed on Jul 30, 2013 at 9:36:07 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Fix and tests in r12437.

Note: See TracTickets for help on using tickets.
swiss made software